Examples

GET /katello/api/content_view_environments/350001148
200
{
  "default": false,
  "id": 350001148,
  "name": "Published Library and Dev view library environment",
  "label": "published_dev_view_library",
  "created_at": "2026-11-03 08:05:52 UTC",
  "updated_at": "2026-11-03 08:05:52 UTC",
  "organization": {
    "name": "Empty Organization",
    "label": "Empty_Organization",
    "id": 114267492
  },
  "activation_keys": [],
  "hostgroups": [],
  "content_view": {
    "id": 909058347,
    "name": "Published Library and dev view",
    "label": "published_dev_view",
    "default": false
  },
  "lifecycle_environment": {
    "id": 562075838,
    "name": "Library",
    "label": "library_label",
    "library": true
  },
  "environment": {
    "id": 562075838,
    "name": "Library",
    "label": "library_label",
    "library": true
  },
  "activation_keys_count": 0,
  "hosts_count": 0,
  "hostgroups_count": 0
}

Params

Param name Description
id
required

Content view environment identifier

Validations:

  • Must be a number.